---
title: "BooleanInput"
generated: true
---
<!-- This file was generated from the Vendure source. Do not modify. Instead, re-run the "docs:build" script -->


## BooleanInput

<GenerationInfo sourceFile="packages/dashboard/src/lib/components/data-input/boolean-input.tsx" sourceLine="12" packageName="@vendure/dashboard" />

Displays a boolean value as a switch toggle.

```ts title="Signature"
function BooleanInput(props: Readonly<DashboardFormComponentProps>): void
```
Parameters

### props

<MemberInfo kind="parameter" type={`Readonly&#60;<a href='/reference/dashboard/extensions-api/form-components#dashboardformcomponentprops'>DashboardFormComponentProps</a>&#62;`} />

